## visad.data.fits
Class FitsTourGuide

    java.lang.Object
      visad.data.fits.TourGuide
          visad.data.fits.FitsTourGuide

public class FitsTourGuide
extends TourGuide

Constructor Summary
`FitsTourGuide(Data data, Tourist tourist)`

Method Summary
`boolean` `show(Function func, Tourist tourist, int depth)`
`boolean` `show(Scalar scalar, Tourist tourist, int depth)`
`boolean` `show(Set set, Tourist tourist, int depth)`
`boolean` `show(Tuple tuple, Tourist tourist, int depth)`

Methods inherited from class visad.data.fits.TourGuide
`show`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FitsTourGuide

    public FitsTourGuide(Data data,
                         Tourist tourist)
                  throws RemoteException,
                         VisADException

Method Detail

### show

    public boolean show(Function func,
                        Tourist tourist,
                        int depth)
                 throws RemoteException,
                        VisADException

  Specified by:
    `show` in class `TourGuide`
  Throws:
    `RemoteException`
    `VisADException`

### show

    public boolean show(Scalar scalar,
                        Tourist tourist,
                        int depth)
                 throws VisADException

  Specified by:
    `show` in class `TourGuide`
  Throws:
    `VisADException`

### show

    public boolean show(Set set,
                        Tourist tourist,
                        int depth)
                 throws VisADException

  Specified by:
    `show` in class `TourGuide`
  Throws:
    `VisADException`

### show

    public boolean show(Tuple tuple,
                        Tourist tourist,
                        int depth)
                 throws RemoteException,
                        VisADException

  Specified by:
    `show` in class `TourGuide`
  Throws:
    `RemoteException`
    `VisADException`